Package Details: pkgbuilder 4.3.0-1

Git Clone URL: https://aur.archlinux.org/pkgbuilder.git (read-only)
Package Base: pkgbuilder
Description: A Python AUR helper/library.
Upstream URL: https://github.com/Kwpolska/pkgbuilder
Keywords: aur aur4 download helper pkgbuild pkgbuilder
Licenses: BSD
Submitter: Kwpolska
Maintainer: Kwpolska
Last Packager: Kwpolska
Votes: 39
Popularity: 0.079139
First Submitted: 2011-09-20 14:46
Last Updated: 2019-01-12 15:09

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Kwpolska commented on 2012-09-03 11:23

I see the breakage, unfortunately nothing got logged. I guess the [DEBUG ] entries are from attempts with Ethernet instead of WiFi? Well then, please try checking if your router and/or WiFi card aren’t broken. It might not like the long arguments of mine. But I don’t see any attempts to run `pkgbuilder -S pkgbuilder`, might trying? Just tell me if you can install it or not.

mrbit commented on 2012-09-03 11:20

2012-09-02 07:50:12,713 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 07:50:13,119 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 07:50:13,120 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 07:50:13,121 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 07:50:13,315 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-02 07:50:13,958 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-02 10:48:40,547 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 10:48:41,152 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 10:48:41,153 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 10:48:41,153 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 10:48:41,359 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-02 10:48:41,977 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-02 22:46:19,613 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-02 22:46:19,798 [INFO ] :pkgbuilder: Running argparse.
2012-09-02 22:46:19,800 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-02 22:46:19,800 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-02 22:46:19,983 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 11:54:20,387 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 11:54:20,976 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 11:54:20,977 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 11:54:20,977 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-03 11:54:21,202 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org
2012-09-03 11:54:21,864 [DEBUG ] :requests.packages.urllib3.connectionpool: "GET /rpc.php?type=multiinfo&arg[]=zint&arg[]=easyiso&arg[]=couchpotato-git&arg[]=sdldevil&arg[]=power-commands&$
2012-09-03 12:40:09,903 [INFO ] :pkgbuilder: *** PKGBUILDer v2.1.3.7
2012-09-03 12:40:10,047 [INFO ] :pkgbuilder: Running argparse.
2012-09-03 12:40:10,049 [INFO ] :pkgbuilder: Arguments parsed.
2012-09-03 12:40:10,049 [INFO ] :pkgbuilder: Ran auto_upgrade.
2012-09-03 12:40:10,230 [INFO ] :requests.packages.urllib3.connectionpool: Starting new HTTP connection (1): aur.archlinux.org

Kwpolska commented on 2012-09-03 10:51

Okay. So if nothing works, I will report this issue to the requests guys. Please show me ~/.config/kwpolska/pkgbuilder/pkgbuilder.log which may contain more info about your issue.

mrbit commented on 2012-09-02 20:48

= ??? no

mrbit commented on 2012-09-02 20:47

pacman -Qm | wc
602 1204 12848

Kwpolska commented on 2012-09-02 14:53

@mrbit
Okay. Just in case, try running `pkgbuilder -S pkgbuilder` and tell me if it works. Also, show me the output of `pacman -Qm | wc`.

mrbit commented on 2012-09-02 13:57

1---python-requests 0.13.7-1
2-- sudo pkgbuilder -Syu (with wifi) ????

with ethernet ok

Kwpolska commented on 2012-09-02 13:51

@mrbit: That problem is a requests problem, it would need to be routed there (but that’s my job.)

A few obligatory questions:
1. Version of python-requests?
2. Command generating problems?
3. WiFi signal strength?
4. If you can test that, does this problem occur when using an Ethernet cable or something like that?

mrbit commented on 2012-09-02 13:43

with WIFI internet :
Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 275, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.2/site-packages/requests/models.py", line 618, in send
timeout=self.timeout,
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 415, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.2/site-packages/requests/packages/urllib3/connectionpool.py", line 277, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.2/http/client.py", line 1049, in getresponse
response.begin()
File "/usr/lib/python3.2/http/client.py", line 346, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.2/http/client.py", line 308, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib/python3.2/socket.py", line 276, in readinto
return self._sock.recv_into(b)
socket.error: [Errno 104] Connection reset by peer

Kwpolska commented on 2012-07-31 11:37

Oh wait. It was a valid update after all. This is what happens when you have a mess in your files.